<?
# Автор движка: InstalScript
# vk.com/k.karamin  - Я Вк
# bymas.ru/id3741  - Я на бумасе
# Специально для обитателей bymas.ru
# Ток на бумасе можно найти моды для данного движка
$auth_null = 'yes';
require_once("inc/function.php");
head("Старт",$uid);

switch($is['1']){
default:
echo "
<table>
<td><img src = '/instalscript/images/face/1.png'></td>
<td><span class='green1'>Нет времени церемонится! Враг уже близко, по машинам!</span>
</br>Задача №1. Выбор танка.
</td>
</table>
<div class='trnt-block'>
<div class='wrap1'><div class='wrap2'><div class='wrap3'><div class='wrap4'><div class='wrap5'><div class='wrap6'><div class='wrap7'><div class='wrap8'>
<div class='wrap-content'>
<div class='cntr white small sh_b bold mb10'>
<table>";
$tnkq = mysql_query("SELECT * FROM `tank`  LIMIT 0,7 ");
$o = '0';
while($tnk = mysql_fetch_assoc($tnkq)){
echo "
<td><img src = '/tankimage_".$tnk['id'].".jpg' width = '100%'></br>
<a class='simple-but border' w:id='startLink' href='/start/tnk/".$tnk['id']."/'><span><span>".$tnk['name']."</span></span></a></td>";
if($o%2){echo "</tr>";}
$o++;
}
echo "</table>
<div class='bot'>
<a href = '/'><span class='input-but border'><span><input class='w100' type='submit'  value='Выйти'></span></span></a>
</div>
</div>
</div>
</div></div></div></div></div></div></div></div>
</div>
";
break;
case'tnk':
$id = abs($is['2']);
if($id > '7'){$id = '7';}

$tnk = mysql_fetch_assoc(mysql_query("SELECT * FROM `tank` WHERE `id` = '".$id."'  "));
$_SESSION['tid'] = $tnk['id'];
echo "
<table>
<td><img src = '/instalscript/images/face/1.png'></td>
<td><span class='green1'>Нет времени церемонится! Враг уже близко, по машинам!</span>
</br>Задача №1. Выбор танка.
</td>
</table>
";

echo"
<div class='trnt-block'>
<div class='wrap1'><div class='wrap2'><div class='wrap3'><div class='wrap4'><div class='wrap5'><div class='wrap6'><div class='wrap7'><div class='wrap8'>
<div class='wrap-content'>
<div class='cntr white small sh_b bold mb10'>

<img src = '/tankimage_".$tnk['id'].".jpg' width = '50%'>
</br>
Название:$tnk[name]</br>
Страна:".country($tnk['country'],'text')."</br>

Урон <span class='green2'>".$tnk['ha']."</span><br>
Броня <span class='green2'>".$tnk['hb']."</span><br>
Прочность <span class='green2'>".$tnk['hc']."</span><br>
Точность <span class='green2'>".$tnk['hc']."</span><br>

<a class='simple-but border' w:id='startLink' href='/start/'><span><span>Выбрать другой</span></span></a>
<div class='bot'>
<a href = '/start/battle/'><span class='input-but border'><span><input class='w100' type='submit'  value='Отправиться в бой'></span></span></a>
</div>

</div>
</div>
</div></div></div></div></div></div></div></div>
</div>
";

break;
case'battle':
$idtr = abs($_SESSION['trand']);
$tid = abs($_SESSION['tid']);

if($_SESSION['tid'] == null){header("Location:/start");exit();}
if($_SESSION['trand'] == null){
$vrag_query = mysql_fetch_assoc(mysql_query("SELECT * FROM `tank` WHERE `id` != '".$tid."' ORDER BY RAND()"));
$_SESSION['trand'] = $vrag_query['id'];
header("Location:".$_SERVER['REQUEST_URI']."");
}

$vrag = mysql_fetch_assoc(mysql_query("SELECT * FROM `tank` WHERE `id` = '".$idtr."'  ")); #or die(mysql_error());
if($is['2'] == 'ok'){
$tnk = mysql_fetch_assoc(mysql_query("SELECT * FROM `tank` WHERE `id` = '".$tid."'  "));

$vr = abs($vrag['hb']+$vrag['mdvig']+$vrag['obron']+$vrag['ouron']);
$my = abs($tnk['hb']+$tnk['mdvig']+$tnk['obron']+$tnk['ouron']);
if($vr > $my){
$_SESSION['win'] = 'no';
}else{
$_SESSION['win'] = 'yes';
}
header("Location:/start/end/");
}
else
{
echo "
<table>
<td><img src = '/instalscript/images/face/1.png'></td>
<td><span class='green1'>Заряжай! Огонь!</span>
</br>Задача №2. Уничтожь противника.
</td>
</table>
";

echo"
<div class='trnt-block'>
<div class='wrap1'><div class='wrap2'><div class='wrap3'><div class='wrap4'><div class='wrap5'><div class='wrap6'><div class='wrap7'><div class='wrap8'>
<div class='wrap-content'>
<div class='cntr white small sh_b bold mb10'>

<img src = '/tankimage_".$vrag['id'].".jpg' width = '50%'>
";
# <a class='simple-but border' w:id='startLink' href='/start'><span><span>Выбрать другой</span></span></a>

echo "<div class='bot'>
<a href = '/start/battle/ok/'><span class='input-but border'><span><input class='w100' type='submit'  value='Атаковать противника'></span></span></a>
</div>

</div>
</div>
</div></div></div></div></div></div></div></div>
</div>
";
}
break;
case'end':
if($_SESSION['win'] == null){header("Location:/start/");exit();}

if($_SESSION['win'] == 'no'){
$mission_log = 'Поражение! Чёрт побери, солдат однако ты не в той форме, придётся тебе прокачатся для новых боёв.';
$mission_text = 'Впиши свои данные, чтобы тебя знали.';
}
elseif($_SESSION['win'] == 'yes'){
$mission_log = 'Победа! Мои поздравления, солдат! ';
$mission_text = 'Впиши свои данные, чтобы тебя знали.';
}


echo "
<table>
<td><img src = '/instalscript/images/face/1.png'></td>
<td><span class='green1'>$mission_log</span>
</br>Задача №3. $mission_text
</td>
</table>

<div class='trnt-block'>
<div class='wrap1'><div class='wrap2'><div class='wrap3'><div class='wrap4'><div class='wrap5'><div class='wrap6'><div class='wrap7'><div class='wrap8'>
<div class='wrap-content'>
<div class='cntr white small sh_b bold mb10'>";

if($is['2'] == 'form'){
$nick = $_POST['nick'];
$pass = $_POST['pass'];
$_SESSION['nick'] = check($nick);
$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `nick` = '".check($nick)."' "));
if(empty($nick)){logi("Введите ник");}
else if($us != null){logi("Ник занят");}
else if(empty($pass)){logi("Введите пароль");}
else if(!preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $_POST['nick'])){logi("В нике присутствуют запрещенные символы");}
else if(mb_strlen($nick)<3){logi("Короткий ник");}
else if(mb_strlen($nick)>32){logi("Длина ника превышает 32 символа");}

if(logs() != null){header("Location:/start?is=end");}
else if(logs() == null)
{
$nick = check($nick);
$pass = check($pass);
mysql_query("INSERT INTO `users` SET
`rules` = '0',
`nick` = '".$nick."',
`pass` = '".$pass."',
`ava` = 'empty.png',
`side` = '0',
`time` = '".(time())."',
`time_reg` = '".(time())."',
`gold` = '0',
`silver` = '500',
`fuel` = '300',
`fuel_max` = '300',
`exp` = '0',
`level` = '1'
");
$id = mysql_insert_id();
if($id == '1'){mysql_query("UPDATE `users` SET `rules` = '10',`silver` = '10000000',`gold` = '10000000' WHERE `id` = '1' ")or die(mysql_error());} # Даём права админа первому зареганному!

$tid = abs($_SESSION['tid']);
$tnk = mysql_fetch_assoc(mysql_query("SELECT * FROM `tank` WHERE `id` = '".$tid."'  "));

mysql_query("INSERT INTO `utank` SET
`uid` = '".$id."',
`tid` = '".$tnk['id']."',
`act` = '1',
`ha` = '".$tnk['ha']."',
`hb` = '".$tnk['hb']."',
`hc` = '".$tnk['hc']."',
`ho` = '".$tnk['ho']."',
`cannon` = '1',
`tower` = '1',
`caterpillar` = '1',
`machinegun` = '1',
`rockets` = '1',
`frontalarmor` = '1',
`sidearmor` = '1',
`gun` = '1',
`frame` = '1',
`optronics` = '1',
`fragshield` = '1',
`upgrade` = '1',
`time` = '".(time())."'
")or die(mysql_error());

$_SESSION['nick'] = $nick;
$_SESSION['pass'] = $pass;
setcookie('nick',$_SESSION['nick'],time()+31536000);
setcookie('pass',$_SESSION['pass'],time()+31536000);
header("Location:/angar/");
}
exit();

}

echo logs();logn();

echo "<form method = 'post' action = '/start/end/form'>
Логин:<br>
<input type='text' name='nick' value='".$_SESSION['nick']."' class='fld-chng' size='20' maxlength='32' w:id='login'><br>
Пароль:<br>
<input type='password' name='pass' value='' class='fld-chng' size='20' maxlength='32' w:id='password'>
</div>

<div class='bot'><span class='input-but border'><span><input class='w100' type='submit' w:message='value:LoginPage.submit' value='Закончить'></span></span></div>
</form>

</div>
</div>
</div></div></div></div></div></div></div></div>
</div>
";


break;
}
foot($uid);

?>